package com.example.basketballmatchmanager;

import com.parse.Parse;
import com.parse.ParseACL;
import com.parse.ParseCrashReporting;
import com.parse.ParseObject;
import com.parse.ParseUser;

import android.app.Activity;
import android.content.Intent;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageView;

public class MainActivity extends Activity implements OnClickListener {
	
    private Button btnLeagues;
    private ImageView btnCreateLeague;
    private Button btnTeams;
    private ImageView btnCreateTeam;
    private Button btnPlayers;
    private ImageView btnCreatePlayer;
    private Button btnMatches;
    private ImageView btnCreateMatch;
    private Intent i;
    
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
	
		btnLeagues = (Button) findViewById(R.id.Button01);
		btnLeagues.setOnClickListener(this);
		btnCreateLeague = (ImageView) findViewById(R.id.ImageView01);
		btnCreateLeague.setOnClickListener(this);
		btnTeams = (Button) findViewById(R.id.Button02);
		btnTeams.setOnClickListener(this);
		btnCreateTeam = (ImageView) findViewById(R.id.ImageView02);
		btnCreateTeam.setOnClickListener(this);		
		btnPlayers = (Button) findViewById(R.id.Button03);
		btnPlayers.setOnClickListener(this);
		btnCreatePlayer = (ImageView) findViewById(R.id.ImageView03);
		btnCreatePlayer.setOnClickListener(this);	
		btnMatches = (Button) findViewById(R.id.Button04);
		btnMatches.setOnClickListener(this);
		btnCreateMatch = (ImageView) findViewById(R.id.ImageView04);
		btnCreateMatch.setOnClickListener(this);

		MediaPlayer mp = MediaPlayer.create(this, R.raw.intro);
		mp.start();
		mp = MediaPlayer.create(this, R.raw.organ);
		mp.start();

		/*
	    // Initialize Crash Reporting.
	    ParseCrashReporting.enable(this);

	    Parse.enableLocalDatastore(this);
	    
	    // Add your initialization code here
	    //Parse.initialize(this, YOUR_APPLICATION_ID, YOUR_CLIENT_KEY);    
	    Parse.initialize(this, "5zPvg9xrD4YHP5aJe8oPLDebWw0VQ7qZbqOznMeL", "mqiHXuN13LRk04bokG1B52r6AMSc5QxgXgNMxX2X");
		
	    ParseUser.enableAutomaticUser();
	    ParseACL defaultACL = new ParseACL();
	      
	    // If you would like all objects to be private by default, remove this line.
	    defaultACL.setPublicReadAccess(true);
	    
	    ParseACL.setDefaultACL(defaultACL, true);
	   
	    ParseObject testObject = new ParseObject("TestObject");
		testObject.put("foo", "bar");
		testObject.saveInBackground();
		*/
	}
	
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public void onClick(View v) {
		// TODO Auto-generated method stub
		Bundle buttonPushed = new Bundle ();

		switch (v.getId()) 
		{
			case R.id.Button01: 
				i = new Intent(MainActivity.this, ListItemScreen.class);
				buttonPushed.putString("buttonPushedKey", "1");
				i.putExtras(buttonPushed);
				startActivity(i);	
				break;
				
			case R.id.ImageView01 : 
				i = new Intent(MainActivity.this, EditLeagueScreen.class);				
				startActivity(i);	
				break;
				
			case R.id.Button02: 
				i = new Intent(MainActivity.this, ListItemScreen.class);
				buttonPushed.putString("buttonPushedKey", "2");
				i.putExtras(buttonPushed);
				startActivity(i);	
				break;
				
			case R.id.ImageView02 : 
				i = new Intent(MainActivity.this, EditClubScreen.class);				
				startActivity(i);	
				break;
								
			case R.id.Button03: 
				i = new Intent(MainActivity.this, ListItemScreen.class);
				buttonPushed.putString("buttonPushedKey", "3");
				i.putExtras(buttonPushed);
				startActivity(i);	
				break;
				
			case R.id.ImageView03 : 
				i = new Intent(MainActivity.this, EditPlayerScreen.class);				
				startActivity(i);	
				break;
				
			case R.id.Button04: 
				i = new Intent(MainActivity.this, ListItemScreen.class);
				buttonPushed.putString("buttonPushedKey", "4");
				i.putExtras(buttonPushed);
				startActivity(i);	
				break;
				
			case R.id.ImageView04 : 
				i = new Intent(MainActivity.this, EditMatchScreen.class);				
				startActivity(i);	
				break;
		}
	}
	
}
